#include <stdarg.h>
#include <ctype.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#include "timer.h"

volatile long tmrms;


SIGNAL (SIG_OVERFLOW0){
	tmrms+=MINTIME;
	TCNT0=TMROFFSET; // Re-init timer
}


long gettmrms(void){
	long result;
	cli();
	result = tmrms;
	sei();
	return result;
}


void inittimer(void){
	TCCR0A=(1<<WGM01) | (1<<WGM00) | (0<<COM0A0) | (1<<COM0A1);	//Toggle OC0A pin on Compare Match
	TCCR0B=(1<<CS00) | (1<<CS01);		// Prescaler CK/64 @ 8MHz is 125kHz
	TCNT0=TMROFFSET;
	TIMSK0=(1<<TOIE0); 					// Enable timer overflow interrupt
	sei();
}
